Bug 1311620 - (CVE-2015-7826) CVE-2015-7826 botan: acceptance of invalid certificate names
CVE-2015-7826 botan: acceptance of invalid certificate names
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151026,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 10:38 EST by Andrej Nemec
Modified: 2018-01-31 11:55 EST (History)
1 user (show)

See Also:
Fixed In Version: botan 1.11.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-31 11:55:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-24 10:38:11 EST
RFC 6125 specifies how to match a X.509v3 certificate against a DNS name for application usage.

Otherwise valid certificates using wildcards would be accepted as matching certain hostnames they should not according to RFC 6125. For example a certificate issued for ‘*.example.com’ should match ‘foo.example.com’ but not ‘example.com’ or ‘bar.foo.example.com’. Previously Botan would accept such a certificate as valid for ‘bar.foo.example.com’.

RFC 6125 also requires that when matching a X.509 certificate against a DNS name, the CN entry is only compared if no subjectAlternativeName entry is available. Previously X509_Certificate::matches_dns_name would always check both names.

External references:

http://botan.randombit.net/security.html
Comment 1 Thomas Moschny 2016-04-29 14:34:40 EDT
CVE-2015-7826 only affects 1.11.X for X<22.

In Fedora/EPEL, we have 1.8.X and 1.10.X (i.e. stable) versions.

Note You need to log in before you can comment on or make changes to this bug.